import 'package:cargocalculaterapp/core/extension/build_context_extension.dart';
import 'package:cargocalculaterapp/core/utils/app_utils.dart';
import 'package:flutter/material.dart';

class OrderTextWidget extends StatelessWidget {
  const OrderTextWidget({
    super.key,
    required this.title,
    required this.name,
    this.crossAxisAlignment = CrossAxisAlignment.start,
  });

  final String title;
  final String name;
  final CrossAxisAlignment crossAxisAlignment;

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Column(
        crossAxisAlignment: crossAxisAlignment,
        mainAxisSize: MainAxisSize.min,
        children: [
          Text(title, style: context.text.orderListTitle),
          AppUtils.kBoxHeight6,
          Text(name, style: context.text.categoryName),
        ],
      ),
    );
  }
}
